Linux Ubuntu Autopano Giga 4.40 upgrade failure  

This forum is dedicated to Autopano Pro / Giga bug reports and features discussion.
Please read the posting rules before starting a topic!
no avatar
mountainyahoos
Member
 
Topic author
Posts: 17
Likes: 1 post
Liked in: 1 post
Joined: Sat Mar 23, 2013 8:30 am
Info

Linux Ubuntu Autopano Giga 4.40 upgrade failure

by mountainyahoos » Sun Apr 09, 2017 7:47 am

First Issue: Autopano Giga upgrade to v4.40
I upgraded to Autopano Giga from AutopanoGiga_Linux64_423_2015-12-01.deb to AutopanoGiga_Linux64_440_2017-03-25.deb and the installation fails on Ubuntu 16.04 LTS

sudo dpkg -i AutopanoGiga_Linux64_440_2017-03-25.deb
(Reading database ... 333046 files and directories currently installed.)
Preparing to unpack AutopanoGiga_Linux64_440_2017-03-25.deb ...
Unpacking autopanogiga (440) over (423) ...
dpkg: error processing archive AutopanoGiga_Linux64_440_2017-03-25.deb (--install):
unable to open '/usr/lib/AutopanoGiga/Resources/Translation/README.dpkg-new': No such file or directory
Processing triggers for shared-mime-info (1.5-2ubuntu0.1) ...
...
...
...
Errors were encountered while processing:
AutopanoGiga_Linux64_440_2017-03-25.deb

-------------------------------------------------------------------------------------------
Note that this install of 4.40 breaks the existing 4.24 installation and fails to install Autopano Giga 4.40

Fix by reinstalling the older Autopano Giga version 4.23
-------------------------------------------------------------------------------------------

Second Issue: (and solution) running Autopano Giga v4.23
Version 423_2015-12-01 fails to run on Ubuntu 16.04 (works on 14.04) and gets the following error:
/usr/lib/AutopanoGiga/AutopanoGiga: error while loading shared libraries: libicui18n.so.52: cannot open shared object file: No such file or directory

I fixed this by editing the start script: /usr/bin/AutopanoGiga
and added the Panotour path which contains /usr/lib/Panotour/libicui18n.so.52
Change: export LD_LIBRARY_PATH=/usr/lib/AutopanoGiga
To: export LD_LIBRARY_PATH=/usr/lib/AutopanoGiga:/usr/lib/Panotour

Note to Kolor: This Panotour library should be included with AutopanoGiga's library to fix this problem.

Clearly the Panotour group has the ability to keep up the quality control on Linux. Panotour has no issues and works great on Ubuntu 16.04. The Autopano group has let quality slide to the point where they are now failing completely. Please fix Autopano Giga version 4.40

User avatar
olivierbo
Kolor Team
 
Posts: 2225
Likes: 1 post
Liked in: 134 posts
Joined: Thu Nov 06, 2014 11:44 am
Info

Re: Linux Ubuntu Autopano Giga 4.40 upgrade failure

by olivierbo » Wed Apr 12, 2017 4:05 pm

Hello,

Please remove all the previous versions before installing v4.4. These's something wrong with the installer which does not overwrite the previous version properly.
It will be fixed in the next version.

Thanks for your trust.

Best regards,
Olivier


Who is online

Users browsing this forum: No registered users and 1 guest